Subject: bug#22200: Acknowledgement (11.89; Incompatibility with TeX-file-line-error and preview-LaTeX-command-replacements)

From: Ivan Andrus <[email-masked]>
Date: Thu, 17 Dec 2015 21:06:14 -0700

I just reported bug 22200 [1], and I think I have a fix for it.

It seems the problem is that preview-LaTeX-disable-pdfoutput does not handle more than one space separating arguments in the command line.  The patch below makes it handle multiple spaces.  Since I’m not a frequent committer, I thought I should run it past people before pushing (I think I have push access).

-Ivan

[1] http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22200

commit 2ebd71de819d18d153c4b3f18dcb39ce9f245c86
Author: Ivan Andrus <[email-masked]>
Date:   Thu Dec 17 21:04:04 2015 -0700

    Fix bug in `preview-LaTeX-disable-pdfoutput'

    * preview.el.in (preview-LaTeX-disable-pdfoutput): Allow one or more
    spaces between command line arguments.

diff --git a/preview.el.in b/preview.el.in
index 2eee66e..8a58104 100644
--- a/preview.el.in
+++ b/preview.el.in
@@ -3207,8 +3207,8 @@ and strings get evaluated as replacement strings."

 (defconst preview-LaTeX-disable-pdfoutput
   '(("\\`\\(pdf[^ ]*\\)\
-\\(\\( [-&]\\([^ \"]\\|\"[^\"]*\"\\)*\\|\
- \"[-&][^\"]*\"\\)*\\)\\(.*\\)\\'"
+\\(\\( +[-&]\\([^ \"]\\|\"[^\"]*\"\\)*\\|\
+ +\"[-&][^\"]*\"\\)*\\)\\(.*\\)\\'"
    . ("\\1\\2 \"\\\\pdfoutput=0 \" \\5")))
   "This replacement places `\"\\pdfoutput=0 \"' after the options
 of any command starting with `pdf'.")